image: ralfjung/opam-ci:latest

stages:
  - build

variables:
  CPU_CORES: "2"

.template: &template
  stage: build
  script:
  - ci/ci.sh
  cache:
    key: "$CI_JOB_NAME"
    paths:
    - opamroot/

## Build jobs

# build-coq.dev:
  # <<: *template
  # variables:
    # OPAM_PINS: "coq version dev"

build-coq.8.8.0:
  <<: *template
  variables:
    OPAM_PINS: "coq version 8.8.0   coq-autosubst version dev.coq86"

build-coq.8.7.2:
  <<: *template
  variables:
    OPAM_PINS: "coq version 8.7.2   coq-autosubst version dev.coq86"
